[arch-commits] Commit in texlive-pictures/repos (4 files)

Rémy Oudompheng remy at nymeria.archlinux.org
Tue Jul 2 21:55:58 UTC 2013


    Date: Tuesday, July 2, 2013 @ 23:55:58
  Author: remy
Revision: 189319

archrelease: copy trunk to testing-any

Added:
  texlive-pictures/repos/testing-any/
  texlive-pictures/repos/testing-any/PKGBUILD
    (from rev 189318, texlive-pictures/trunk/PKGBUILD)
  texlive-pictures/repos/testing-any/texlive-pictures.maps
    (from rev 189318, texlive-pictures/trunk/texlive-pictures.maps)
  texlive-pictures/repos/testing-any/texlive.install
    (from rev 189318, texlive-pictures/trunk/texlive.install)

-----------------------+
 PKGBUILD              |   53 ++++++++++++++++++++++++++++++++++++++++++++++++
 texlive-pictures.maps |    2 +
 texlive.install       |   52 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 107 insertions(+)

Copied: texlive-pictures/repos/testing-any/PKGBUILD (from rev 189318, texlive-pictures/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2013-07-02 21:55:58 UTC (rev 189319)
@@ -0,0 +1,53 @@
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-pictures
+pkgver=2013.30637
+_revnr=${pkgver#2013.}
+pkgrel=1
+pkgdesc="TeX Live - Packages for drawings graphics"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+options=(!strip)
+install=texlive.install
+md5sums=('c683151cd1014e4ff631ccccc3f49c1f'
+         '7d08cb8ade87687bd8676f8e8ba20697')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   install -m755 -d $pkgdir/usr/bin
+   ln -s /usr/share/texmf-dist/scripts/cachepic/cachepic.tlu $pkgdir/usr/bin/cachepic
+   ln -s /usr/share/texmf-dist/scripts/epspdf/epspdftk.tcl $pkgdir/usr/bin/epspdftk
+   ln -s /usr/share/texmf-dist/scripts/epspdf/epspdf.rb $pkgdir/usr/bin/epspdf
+   ln -s /usr/share/texmf-dist/scripts/fig4latex/fig4latex $pkgdir/usr/bin/fig4latex
+   ln -s /usr/share/texmf-dist/scripts/mathspic/mathspic.pl $pkgdir/usr/bin/mathspic
+}

Copied: texlive-pictures/repos/testing-any/texlive-pictures.maps (from rev 189318, texlive-pictures/trunk/texlive-pictures.maps)
===================================================================
--- testing-any/texlive-pictures.maps	                        (rev 0)
+++ testing-any/texlive-pictures.maps	2013-07-02 21:55:58 UTC (rev 189319)
@@ -0,0 +1,2 @@
+Map knitfont.map
+MixedMap xypic.map

Copied: texlive-pictures/repos/testing-any/texlive.install (from rev 189318, texlive-pictures/trunk/texlive.install)
===================================================================
--- testing-any/texlive.install	                        (rev 0)
+++ testing-any/texlive.install	2013-07-02 21:55:58 UTC (rev 189319)
@@ -0,0 +1,52 @@
+PKGNAME="texlive-pictures"
+UPDMAP="etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="etc/texmf/web2c/updmap-local.cfg"
+SYNCWITHTREES=''
+
+MAPFILE="var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+
+post_install() {
+  TMPFILE=`mktemp`
+  echo    ">>> texlive: saving updmap.cfg as $TMPFILE..."
+  cp "$UPDMAP" "$TMPFILE"
+  echo    ">>> texlive: regenerating updmap.cfg (custom additions should go"
+  echo    "             into /etc/texmf/web2c/updmap-local.cfg"
+  cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+  cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+  [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+  echo    ">>> texlive: updating the filename database..."
+  usr/bin/mktexlsr
+  echo    ">>> texlive: updating the fontmap files with updmap..."
+  usr/bin/updmap-sys --quiet --nohash
+  echo    " done." 
+}
+
+post_upgrade() {
+  TMPFILE=`mktemp`
+  echo    ">>> texlive: saving updmap.cfg as $TMPFILE..."
+  cp "$UPDMAP" "$TMPFILE"
+  echo    ">>> texlive: regenerating updmap.cfg (custom additions should go"
+  echo    "             into /etc/texmf/web2c/updmap-local.cfg"
+  cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+  cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+  [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+  echo    ">>> texlive: updating the filename database..."
+  usr/bin/mktexlsr
+  echo    ">>> texlive: updating the fontmap files with updmap..."
+  usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
+  echo    " done." 
+}
+
+pre_remove() {
+for m in `cut -d' ' -f2 $MAPFILE`; do 
+  sed -i "/\s$m/d" $UPDMAP ; 
+done
+}
+
+post_remove() {
+  echo    ">>> texlive: updating the filename database..."
+  usr/bin/mktexlsr
+  echo    ">>> texlive: updating the fontmap files with updmap..."
+  usr/bin/updmap-sys --quiet --nohash
+  echo    " done." 
+}




More information about the arch-commits mailing list